Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZFloatValidator Class Reference

The class eZFloatValidator does. More...

Inheritance diagram for eZFloatValidator:

## Public Member Functions
| __construct ( $min=false, $max=false)
| setRange ( $min, $max)
| validate ( $text)
| fixup ( $text)
Public Member Functions inherited from eZRegExpValidator
| __construct ( $rule=null)
| setRegExpRule ( $rule)

## Public Attributes
| $MinValue
| $MaxValue
Public Attributes inherited from eZRegExpValidator
| $RegExpRule
Public Attributes inherited from eZInputValidator
const | STATE_ACCEPTED = 1
const | STATE_INTERMEDIATE = 2
const | STATE_INVALID = 3

## Detailed Description

The class eZFloatValidator does.

Definition at line 17 of file ezfloatvalidator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZFloatValidator::__construct | ( |  | $min = `false`,
|  |  | $max = `false`
| ) |  |

Constructor

Parameters

  float | bool | $min |
  float | bool | $max |

Definition at line 25 of file ezfloatvalidator.php.

## Member Function Documentation

## ◆ fixup()

eZFloatValidator::fixup | ( |  | $text | ) |

Tries to fix the text $text which was previously marked as eZInputValidator::STATE_INTERMEDIATE so that it can be seen as eZInputValidator::STATE_ACCEPTED.

Reimplemented from eZRegExpValidator.

Definition at line 57 of file ezfloatvalidator.php.

References $MaxValue, and $MinValue.

## ◆ setRange()

eZFloatValidator::setRange | ( |  | $min,
|  |  | $max
| ) |  |

Definition at line 37 of file ezfloatvalidator.php.

## ◆ validate()

eZFloatValidator::validate | ( |  | $text | ) |

Tries to validate to the text $text and returns one of the validator states eZInputValidator::STATE_ACCEPTED, eZInputValidator::STATE_INTERMEDIATE or eZInputValidator::STATE_INVALID. This returns eZInputValidator::STATE_ACCEPTED as default and must be reimplemented in real valiators.

Reimplemented from eZRegExpValidator.

Definition at line 45 of file ezfloatvalidator.php.

References eZInputValidator\STATE_ACCEPTED, eZInputValidator\STATE_INTERMEDIATE, and eZRegExpValidator\validate().

## Member Data Documentation

## ◆ $MaxValue

eZFloatValidator::$MaxValue

Definition at line 70 of file ezfloatvalidator.php.

Referenced by fixup().

## ◆ $MinValue

eZFloatValidator::$MinValue

Definition at line 69 of file ezfloatvalidator.php.

Referenced by fixup().

The documentation for this class was generated from the following file:

- ezfloatvalidator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.